package pay_type

import (
	"context"

	"kami/internal/service"
)

func init() {
	service.RegisterPayType(New())
}

func New() *sPayType {
	return &sPayType{}
}

type sPayType struct{}

func (t *sPayType) GetPayTypeNameByCode(ctx context.Context, code string) string {
	typeName := ""
	switch code {
	case "CARD_DH":
		typeName = "卡密兑换"
	case "WEIXIN_SCAN":
		typeName = "微信扫码"
	}
	return typeName
	//<option value="CARD_DH">卡密兑换</option>
	//<option value="WEIXIN_SCAN">微信扫码</option>
	//<option value="WEIXIN_H5">微信H5</option>
	//<option value="WEIXIN_SYT">微信收银台</option>
	//<option value="ALI_SCAN">支付宝扫码</option>
	//<option value="ALI_H5">支付宝H5</option>
	//<option value="ALI_SYT">支付宝收银台</option>
	//<option value="QQ_SCAN">QQ扫码</option>
	//<option value="QQ_H5">QQ-H5</option>
	//<option value="QQ_SYT">QQ收银台</option>
	//<option value="UNION_SCAN">银联扫码</option>
	//<option value="UNION_H5">银联H5</option>
	//<option value="UNION_PC_WAP">银联pc-web</option>
	//<option value="UNION_SYT">银联收银台</option>
	//<option value="UNION_FAST">银联快捷</option>
	//<option value="BAIDU_SCAN">百度钱包扫码</option>
	//<option value="BAIDU_H5">百度钱包H5</option>
	//<option value="BAIDU_SYT">百度钱包收银台</option>
	//<option value="JD_SCAN">京东扫码</option>
	//<option value="JD_H5">京东H5</option>
	//<option value="JD_SYT">京东收银台</option>
}
